Name:		nagios-plugins-automysqlbackup
Version:	0.3
Release:	1.12
Url:		http://www.linux-administrator.com
Group:		System/Monitoring
Summary:	Plugins and aliases for monitoring automysql-/multimysqlbackup
License:	GPL
Source0:	check_automysqlbackup
Source1:	check_multimysqlbackup
Source2:	check_mysql_backup_files
Source10:	check_automysqlbackup.cfg
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
AutoReqProv:	off
BuildRequires:	nagios-plugins nagios-nrpe bash
Requires:	nagios-plugins nagios-nrpe bash

%description
Plugins and alias definitions to automysql-/multimysqlbackup.

%prep

%build

%install
%__install -d %{buildroot}%{_prefix}/lib/nagios/plugins
%__install -d %{buildroot}%{_sysconfdir}/nagios/nrpe.d
%__install -m755 %{S:0} %{buildroot}%{_prefix}/lib/nagios/plugins/check_automysqlbackup
%__install -m755 %{S:1} %{buildroot}%{_prefix}/lib/nagios/plugins/check_multimysqlbackup
%__install -m755 %{S:2} %{buildroot}%{_prefix}/lib/nagios/plugins/check_mysql_backup_files
%__install -m644 %{S:10} %{buildroot}%{_sysconfdir}/nagios/nrpe.d/check_automysqlbackup.cfg

%clean
rm -rf %{buldroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/nagios
%dir %{_sysconfdir}/nagios/nrpe.d
%config(noreplace) %{_sysconfdir}/nagios/nrpe.d/check_automysqlbackup.cfg
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_automysqlbackup
%{_prefix}/lib/nagios/plugins/check_multimysqlbackup
%{_prefix}/lib/nagios/plugins/check_mysql_backup_files

%changelog
* Fri Oct 29 2021 Local OBS User <cs@linux-administrator.com>
- initial package with monitoring plugins for automysqlbackup/multimysqlbackup
